Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000418 [Piwigo] navigation feature always 2006.06.13 18:49 2006.06.20 01:30
Reporter vincent3569 View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC3 Product Version 1.6.0RC2
  Target Version Product Build
Summary 0000418: pb de navigation sur les menus "spéciales"
Description sur le site de test de la 1.6.0RC2, si je choisi "plus vues", lorsque je suis sur les images, j'ai la "barre" de menu rapide "Accueil / 15 Plus vues / albatros 1/15".
cependant, seul le 1er niveau est navigable (accueil) alors que j'aurais trouvé normal de pouvoir remonter directement au niveau des "plus vues".

ma remarque est valable pour tous les menus "spéciales"

explications :
il y a un plus entre la 1.5.2 et la 1.6.0 : pour les plus vues, le lien rapide est passé de Accueil / albatros à Accueil / 15 Plus vues / albatros 1/15
et c'est déjà un vrai plus il manque juste que les niveaux "intermédiaires" soient navigables.
pour être parfait, il faudrait que le menu Accueil / 15 Plus vues / albatros permette la navigation sur les niveaux intermédiaires et permette de revenir sur Plus vues sans avoir à revenir au menu principal...

un peu comme ce qui marche en 1.5.2, à savoir la navigation correcte sur les galeries virtuelles :
sur mon site, j'ai une photo qui est accessible via l'album "réél" "Cathy et Vincent" et Accessible via l'album virtuel "Portraits"

suivant que j'accède à la photo en passant par mon album ou par les portraits, les navigations rapides sont différentes : Accueil / Cathy et Vincent ou Accueil / Thématiques / Portraits
dans le dernier cas, je peux revenir sur Thématique ou Portraits directement car ces menus sont navigables
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001091)
chrisaga (developer)
2006.06.19 20:12
edited on: 2006.06.19 22:29

C'est vrai c'est à corriger.
Qui est à l'aise dans le codes des "plus vues" ?

PS. on a la même chose avec "images au hasard"

(0001099)
rvelices (developer)
2006.06.20 01:30

branch-1_6 [Subversion] r1372
trunk [Subversion] r1373
4 corrections: best rated, most visited, random and recent pictures

- Issue History
Date Modified Username Field Change
2006.06.13 18:49 vincent3569 New Issue
2006.06.13 18:49 vincent3569 browser => any
2006.06.13 18:49 vincent3569 Web server => Apache 1.3.x
2006.06.19 20:12 chrisaga Note Added: 0001091
2006.06.19 20:12 chrisaga Status new => confirmed
2006.06.19 22:29 chrisaga Note Edited: 0001091
2006.06.20 01:24 rvelices Status confirmed => assigned
2006.06.20 01:24 rvelices Assigned To => rvelices
2006.06.20 01:30 rvelices Note Added: 0001099
2006.06.20 01:30 rvelices Status assigned => closed
2006.06.20 01:30 rvelices Resolution open => fixed
2006.06.20 01:30 rvelices Fixed in Version => 1.6.0RC3


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker